<template>
    <div style="z-index:-1;width:100%;height:56px"></div>
    <div
      v-if="auth || !displayAuthButtons"
      class="fixed bottom-0 left-0 z-30 flex justify-center w-full px-1 py-3 h-max fc-text bg-background3 shadow-top footer-menu capitalize"
    >
      <nuxt-link to="/" class="flex-1 mx-auto text-center">
        <div class="flex justify-center icon">
          <span
            class="m-0 w-[21.8px] h-[21.83px]"
            :class="
              $route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
            "
          >
            <svg-icon svg-name="home-outline" class="w-[21.8px] h-[21.83px]" />
          </span>
        </div>
        <div
          class="footer-menu-item-title"
          :class="
            $route.name === 'index' ? 'text-[color:var(--selected)]' : ''
          "
        >
          {{ $t("home") }}
        </div>
      </nuxt-link>
      <nuxt-link
        v-if="auth && isShowDepositWithdrawal && isCashPlayer"
        class="text-center mx-auto flex-1"
        to="/deposit"
      >
        <div class="flex justify-center icon">
          <span
            class="m-0 w-[21.8px] h-[21.83px]"
            :class="
              $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
            "
          >
            <svg-icon svg-name="plus-square-outline" class="w-[21.8px] h-[21.83px]" />
          </span>
        </div>
        <div
          class="footer-menu-item-title"
        >
         {{ $t(`deposit${isBhinbhin}`) }}
        </div>
      </nuxt-link>
      <div
        v-if="auth && $route.name === 'sports'"
        class="text-center mx-auto flex-1"
        @click="sendMessageToIframe"
      >
        <div class="flex justify-center icon">
          <span
            class="m-0 w-[21.8px] h-[21.83px] ticket"
            :class="
              $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
            "
          >
            <svg-icon svg-name="ticket-outline" class="w-[21.8px] h-[21.83px]" />
            <span class="badge">{{ ticketCount }}</span>
          </span>
        </div>
        <div
          class="footer-menu-item-title"
        >
          {{ $t("ticket") }}
        </div>
      </div>
      <nuxt-link
        :to="auth ? BET_HISTORY_ROUTES.INDEX : '/login'"
        class="text-center mx-auto flex-1"
      >
        <div class="flex justify-center icon">
          <span
            class="m-0 w-[21.8px] h-[21.83px]"
            :class="
              $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
            "
          >
            <svg-icon
              svg-name="bet-history-outline"
              class="w-[21.8px] h-[21.83px]"
            />
          </span>
        </div>
        <div
          class="footer-menu-item-title"
        >
          {{ $t("bet_history") }}
        </div>
      </nuxt-link>
      <nuxt-link to="/profile" class="flex-1 mx-auto text-center">
        <div class="flex justify-center icon">
          <span
            class="m-0 w-[21.8px] h-[21.83px]"
            :class="
              $route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
            "
          >
            <svg-icon svg-name="account-outline" class="w-[21.8px] h-[21.83px]" />
          </span>
        </div>
        <div
          class="footer-menu-item-title"
          :class="
            $route.matched[0].name === 'profile'
              ? 'text-[color:var(--selected)]'
              : ''
          "
        >
          {{ $t("account") }}
        </div>
      </nuxt-link>
    </div>
    <div
      v-if="!auth && displayAuthButtons"
      class="fixed bottom-0 left-0 w-full flex justify-center items-center fc-text bg-background2 shadow-top h-14 z-[99]"
    >
      <div
        class="flex items-center justify-center flex-1 h-full mx-auto text-center bg-secondary"
        @click="toggleLoginRegisterDialog()"
      >
        <div class="text-sm font-bold leading-4 fc-textBtn">
          {{ $t("capital_login") }}
        </div>
      </div>
      <div
        v-if="!register.IsHidden"
        to="/register"
        class="flex items-center justify-center flex-1 h-full mx-auto text-center bg-green-400 bg-primary"
        :id="ID.SIGNUP"
        @click="toggleLoginRegisterDialog(false)"
      >
        <div class="text-sm font-bold leading-4 fc-textBtn pointer-events-none">
          {{ $t("joinnow") }}
        </div>
      </div>
      <nuxt-link
        v-if="getContactList.length"
        to="/contact-us"
        class="w-14 h-14 flex justify-center items-center bg-background5 gap-1"
      >
        <svg-icon
          svg-name="icon-contact-new"
          class="icon w-[18px] h-[18px]"
          style="fill:var(--text3)"
        />
      </nuxt-link>
    </div>
  </template>

  <script lang="ts">
  import { computed, defineComponent, toRefs } from "vue";
  import { store } from "@/store";
  import commonHelper from "@/utils/commonHelper";
  import useMenu from "@/composables/useMenu";
  import { useHeaderComponent } from "@/composables/useTheme";

  export default defineComponent({
    name: "MFooterFunction1",
    props: {
      auth: {
        type: Boolean,
        default: false,
      },
      displayAuthButtons: {
        type: Boolean,
        default: true,
      },
    },
    setup(_) {
      const router = useRouter();
      const route = useRoute();
      const { name } = toRefs(route);
      const { themeColor } = themePropertyHelper;
      const { getContactList } = useContactUs();
      const isIndex = computed(
        () => name.value === "home" || name.value === "index"
      );
      const onNavigateToPage = (url: string) => {
        if (_.auth) {
          window.open(url, "_blank");
        } else {
          router.push("/login");
        }
      };
      const { getAssetImage, toggleLoginRegisterDialog, isBhinbhin } = commonHelper;
      const { isShowDepositWithdrawal, isCashPlayer } = useMenu();
      const { isAllowPromotionTab, register } = useHeaderComponent();
      const ticketCount = ref<number>(0)
      const receiveMessage = (event: MessageEvent) => {
        if (event.data.MessageType === 'TicketCount') {
          ticketCount.value = event.data.count;
        }
      }
      const sendMessageToIframe = (data: any) => {
        const iframe = document.querySelector("#wl-sport") as HTMLIFrameElement;
        iframe.contentWindow?.postMessage('toggleTicket', '*');
      };
      onMounted(() => {
        window.addEventListener('message', receiveMessage);
      });
      return {
        name,
        isIndex,
        onNavigateToPage,
        getAssetImage,
        isShowDepositWithdrawal,
        isCashPlayer,
        isAllowPromotionTab,
        register,
        themeColor,
        toggleLoginRegisterDialog,
        ticketCount,
        sendMessageToIframe,
        getContactList,
        isBhinbhin,
      };
    },
  });
  </script>
  <style lang="scss">
  .footer-menu {
    height: 56px;
    padding: 7.33px 0px;
    align-items: center;
    a {
      width: calc(100% / 5);
    }
  }
  .footer-menu-item-title {
    font-size: 12px;
    margin-top: 2px;
    width: auto;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }
  .shadow-top {
    box-shadow: 0px -4px 3px rgba(0, 0, 0, 0.25);
  }
  a.router-lint-active svg {
    fill: var(--selected);
  }
  </style>
  <style scoped>
  a:not(.router-lint-active) svg.text {
    fill: var(--text5);
  }

  .fill-active {
    fill:var(--selected) !important;
  }
  .ticket {
  color: white;
  text-decoration: none;
  position: relative;
  display: inline-block;
  border-radius: 2px;
}

.ticket .badge {
  position: absolute;
  top: -5px;
  right: -10px;
  width: 19px;
  height: 16px;
  border-radius: 50%;
  background: var(--Primary, #31C46E);
  color: white;
  font-size: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
}
  </style>
